Index: c/src/lib/libchip/serial/mc68681.c
===================================================================
--- c/src/lib/libchip/serial/mc68681.c	(revision a5d0c7cf077e9ea8166e2cd565ab79687a6e9ad0)
+++ c/src/lib/libchip/serial/mc68681.c	(revision beaaf49f4b812b6db47c8552b49df8659c9bb6a2)
@@ -75,4 +75,10 @@
  */
 
+/*
+ *  mc68681_probe
+ *
+ *  Default probe routine which simply say the port is present.
+ */
+
 static boolean mc68681_probe(int minor)
 {
@@ -83,4 +89,12 @@
   return(TRUE);
 }
+
+/*
+ *  mc68681_baud_rate
+ *
+ *  This routine returns the proper ACR bit and baud rate field values
+ *  based on the requested baud rate.  The baud rate set to be used
+ *  must be configured by the user.
+ */
 
 static int mc68681_baud_rate(
@@ -167,4 +181,11 @@
 }
 
+/*
+ *  mc68681_set_attributes
+ *
+ *  This function sets the DUART channel to reflect the requested termios
+ *  port settings.
+ */
+
 static int mc68681_set_attributes( 
   int minor,
@@ -248,4 +269,10 @@
 }
 
+/*
+ *  mc68681_initialize_context
+ *
+ *  This function sets the default values of the per port context structure.
+ */
+
 static void mc68681_initialize_context(
   int               minor,
@@ -269,4 +296,12 @@
   pmc68681Context->ucModemCtrl = 0x00;   /* XXX */
 }
+
+/*
+ *  mc68681_build_imr
+ *
+ *  This function returns the value for the interrupt mask register for this
+ *  DUART.  Since this is a shared register, we must look at the other port
+ *  on this chip to determine whether or not it is using interrupts.
+ */
 
 static unsigned int mc68681_build_imr(
@@ -304,5 +339,4 @@
   }
 
-
   /*
    *  Add in minor's mask
@@ -319,4 +353,10 @@
   return mask | mate_mask;
 }
+
+/*
+ *  mc68681_init
+ *
+ *  This function initializes the DUART to a quiecsent state.
+ */
 
 static void mc68681_init(int minor)
@@ -357,5 +397,9 @@
 
 /*
- *  Initialize to 9600, 8, N, 1
+ *  mc68681_open
+ *
+ *  This function opens a port for communication.
+ *
+ *  Default state is 9600 baud, 8 bits, No parity, and 1 stop bit.
  */
 
@@ -409,4 +453,10 @@
 }
 
+/*
+ *  mc68681_close
+ *
+ *  This function shuts down the requested port.
+ */
+
 static int mc68681_close(
   int      major,
@@ -443,4 +493,6 @@
 /* 
  *  mc68681_write_polled
+ *
+ *  This routine polls out the requested character.
  */
 
@@ -525,4 +577,5 @@
  *  mc68681_negate_RTS
  */
+
 static int mc68681_negate_RTS(int minor)
 {
@@ -551,5 +604,5 @@
 
 /*
- * These flow control routines utilise a connection from the local DTR
+ * These flow control routines utilize a connection from the local DTR
  * line to the remote CTS line
  */
@@ -617,11 +670,4 @@
  *
  *  This routine is the console interrupt handler.
- *
- *  Input parameters:
- *    vector - vector number
- *
- *  Output parameters: NONE
- *
- *  Return values:     NONE
  */
 
@@ -714,4 +760,9 @@
 /*
  *  mc68681_flush
+ *
+ *  This routine waits before all output is completed before closing
+ *  the requested port.
+ *
+ *  NOTE:  This is the "interrupt mode" close entry point.
  */
 
@@ -733,4 +784,27 @@
 
 /*
+ *  mc68681_enable_interrupts
+ *
+ *  This function initializes the hardware for this port to use interrupts.
+ */
+
+static void mc68681_enable_interrupts(
+  int minor
+)
+{
+  unsigned32            pMC68681;
+  setRegister_f         setReg;
+
+  pMC68681 = Console_Port_Tbl[minor].ulCtrlPort1;
+  setReg   = Console_Port_Tbl[minor].setRegister;
+
+  /*
+   *  Enable interrupts on RX and TX -- not break
+   */
+
+  (*setReg)( pMC68681, MC68681_INTERRUPT_MASK_REG, mc68681_build_imr( minor ));
+}
+
+/*
  *  mc68681_initialize_interrupts
  *
@@ -739,21 +813,4 @@
  */
 
-static void mc68681_enable_interrupts(
-  int minor
-)
-{
-  unsigned32            pMC68681;
-  setRegister_f         setReg;
-
-  pMC68681 = Console_Port_Tbl[minor].ulCtrlPort1;
-  setReg   = Console_Port_Tbl[minor].setRegister;
-
-  /*
-   *  Enable interrupts on RX and TX -- not break
-   */
-
-  (*setReg)( pMC68681, MC68681_INTERRUPT_MASK_REG, mc68681_build_imr( minor ));
-}
-
 static void mc68681_initialize_interrupts(int minor)
 {
@@ -772,5 +829,5 @@
  *  mc68681_write_support_int
  *
- *  Console Termios output entry point.
+ *  Console Termios output entry point when using interrupt driven output.
  */
 
@@ -838,5 +895,5 @@
  *  mc68681_write_support_polled
  *
- *  Console Termios output entry point.
+ *  Console Termios output entry point when using polled output.
  *
  */
Index: c/src/libchip/serial/mc68681.c
===================================================================
--- c/src/libchip/serial/mc68681.c	(revision a5d0c7cf077e9ea8166e2cd565ab79687a6e9ad0)
+++ c/src/libchip/serial/mc68681.c	(revision beaaf49f4b812b6db47c8552b49df8659c9bb6a2)
@@ -75,4 +75,10 @@
  */
 
+/*
+ *  mc68681_probe
+ *
+ *  Default probe routine which simply say the port is present.
+ */
+
 static boolean mc68681_probe(int minor)
 {
@@ -83,4 +89,12 @@
   return(TRUE);
 }
+
+/*
+ *  mc68681_baud_rate
+ *
+ *  This routine returns the proper ACR bit and baud rate field values
+ *  based on the requested baud rate.  The baud rate set to be used
+ *  must be configured by the user.
+ */
 
 static int mc68681_baud_rate(
@@ -167,4 +181,11 @@
 }
 
+/*
+ *  mc68681_set_attributes
+ *
+ *  This function sets the DUART channel to reflect the requested termios
+ *  port settings.
+ */
+
 static int mc68681_set_attributes( 
   int minor,
@@ -248,4 +269,10 @@
 }
 
+/*
+ *  mc68681_initialize_context
+ *
+ *  This function sets the default values of the per port context structure.
+ */
+
 static void mc68681_initialize_context(
   int               minor,
@@ -269,4 +296,12 @@
   pmc68681Context->ucModemCtrl = 0x00;   /* XXX */
 }
+
+/*
+ *  mc68681_build_imr
+ *
+ *  This function returns the value for the interrupt mask register for this
+ *  DUART.  Since this is a shared register, we must look at the other port
+ *  on this chip to determine whether or not it is using interrupts.
+ */
 
 static unsigned int mc68681_build_imr(
@@ -304,5 +339,4 @@
   }
 
-
   /*
    *  Add in minor's mask
@@ -319,4 +353,10 @@
   return mask | mate_mask;
 }
+
+/*
+ *  mc68681_init
+ *
+ *  This function initializes the DUART to a quiecsent state.
+ */
 
 static void mc68681_init(int minor)
@@ -357,5 +397,9 @@
 
 /*
- *  Initialize to 9600, 8, N, 1
+ *  mc68681_open
+ *
+ *  This function opens a port for communication.
+ *
+ *  Default state is 9600 baud, 8 bits, No parity, and 1 stop bit.
  */
 
@@ -409,4 +453,10 @@
 }
 
+/*
+ *  mc68681_close
+ *
+ *  This function shuts down the requested port.
+ */
+
 static int mc68681_close(
   int      major,
@@ -443,4 +493,6 @@
 /* 
  *  mc68681_write_polled
+ *
+ *  This routine polls out the requested character.
  */
 
@@ -525,4 +577,5 @@
  *  mc68681_negate_RTS
  */
+
 static int mc68681_negate_RTS(int minor)
 {
@@ -551,5 +604,5 @@
 
 /*
- * These flow control routines utilise a connection from the local DTR
+ * These flow control routines utilize a connection from the local DTR
  * line to the remote CTS line
  */
@@ -617,11 +670,4 @@
  *
  *  This routine is the console interrupt handler.
- *
- *  Input parameters:
- *    vector - vector number
- *
- *  Output parameters: NONE
- *
- *  Return values:     NONE
  */
 
@@ -714,4 +760,9 @@
 /*
  *  mc68681_flush
+ *
+ *  This routine waits before all output is completed before closing
+ *  the requested port.
+ *
+ *  NOTE:  This is the "interrupt mode" close entry point.
  */
 
@@ -733,4 +784,27 @@
 
 /*
+ *  mc68681_enable_interrupts
+ *
+ *  This function initializes the hardware for this port to use interrupts.
+ */
+
+static void mc68681_enable_interrupts(
+  int minor
+)
+{
+  unsigned32            pMC68681;
+  setRegister_f         setReg;
+
+  pMC68681 = Console_Port_Tbl[minor].ulCtrlPort1;
+  setReg   = Console_Port_Tbl[minor].setRegister;
+
+  /*
+   *  Enable interrupts on RX and TX -- not break
+   */
+
+  (*setReg)( pMC68681, MC68681_INTERRUPT_MASK_REG, mc68681_build_imr( minor ));
+}
+
+/*
  *  mc68681_initialize_interrupts
  *
@@ -739,21 +813,4 @@
  */
 
-static void mc68681_enable_interrupts(
-  int minor
-)
-{
-  unsigned32            pMC68681;
-  setRegister_f         setReg;
-
-  pMC68681 = Console_Port_Tbl[minor].ulCtrlPort1;
-  setReg   = Console_Port_Tbl[minor].setRegister;
-
-  /*
-   *  Enable interrupts on RX and TX -- not break
-   */
-
-  (*setReg)( pMC68681, MC68681_INTERRUPT_MASK_REG, mc68681_build_imr( minor ));
-}
-
 static void mc68681_initialize_interrupts(int minor)
 {
@@ -772,5 +829,5 @@
  *  mc68681_write_support_int
  *
- *  Console Termios output entry point.
+ *  Console Termios output entry point when using interrupt driven output.
  */
 
@@ -838,5 +895,5 @@
  *  mc68681_write_support_polled
  *
- *  Console Termios output entry point.
+ *  Console Termios output entry point when using polled output.
  *
  */
